NetflowSummaryFlow1Day resource. The schema will be used to create data/ReporterResource instances, the description is used to store the table name of the associate field.
GET http://[host-proxy]/api/data/NetflowSummaryFlow1Day/schema/?hierarchy=[hierarchy]&format=json&schema=1
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"id": {
"title": "ID",
"description": "netflow_flow_1day",
"type": "number"
},
"ts": {
"title": "Timestamp",
"description": "netflow_flow_1day",
"type": "number"
},
"agentid": {
"title": "Agent ID",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"agentid_hostname": {
"title": "Agentid Hostname",
"description": "mv_hostname_mapping",
"type": "string",
"maxLength": 1024
},
"ingressint": {
"title": "Ingress Interface",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"egressint": {
"title": "Egress Interface",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"direction": {
"title": "Direction",
"description": "netflow_flow_1day",
"type": "number"
},
"srcipaddr": {
"title": "Source IP Address",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"destipaddr": {
"title": "Destination IP Address",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"port": {
"title": "Port",
"description": "netflow_flow_1day",
"type": "number"
},
"protocol": {
"title": "Protocol",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"srctos": {
"title": "Source TOS",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"applicationid": {
"title": "Application ID",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"applicationname": {
"title": "Application Name",
"description": "netflow_flow_1day",
"type": "string",
"maxLength": 1024
},
"totalbytes": {
"title": "Total Bytes",
"description": "netflow_flow_1day",
"type": "number"
},
"totalpkts": {
"title": "Total Packets",
"description": "netflow_flow_1day",
"type": "number"
},
"totalduration": {
"title": "Total Duration",
"description": "netflow_flow_1day",
"type": "number"
},
"bitrate": {
"title": "Bitrate",
"description": "netflow_flow_1day",
"type": "number"
},
"packetrate": {
"title": "Packet Rate",
"description": "netflow_flow_1day",
"type": "number"
},
"flowcount": {
"title": "Flow Count",
"description": "netflow_flow_1day",
"type": "number"
},
"ingress_friendly_interface_name": {
"title": "Ingress Friendly Interface Name",
"description": "mv_interface_mapping_ingress",
"type": "string",
"maxLength": 1024
},
"egress_friendly_interface_name": {
"title": "Egress Friendly Interface Name",
"description": "mv_interface_mapping_egress",
"type": "string",
"maxLength": 1024
}
},
"schema_version": "0.1"
}